This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### captureEvent()
Examples |
    import processing.video.*;
    Capture cam;

    void setup() {
      size(200, 200);
      cam = new Capture(this);
      cam.start();
    }

    void draw() {
      image(cam, 0, 0);
    }

    void captureEvent(Capture c) {
      c.read();
    }
Description | Called when a new camera frame is available. Use the read() method to capture this frame. If there is more than one capture device in the program, captureEvent() is called each time any of the devices has a new frame available. Use an if within the function to determine which device is triggering the event.
Syntax |
    void captureEvent(Capture which) {
      statements
    }
Parameters |
statements | any valid statements
which | the camera with the event
Related | Capture

Updated on October 26, 2013 08:58:29pm PDT